Instructor-availability API
Auto-generated from the OpenAPI spec. Run
node docs-site/scripts/fetch-openapi.jsto regenerate.
GET /api/v1/instructor-availability
List Instructor Availability
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
instructor_id | query | No |
Responses
- 200 — Successful Response
- 422 — Validation Error
POST /api/v1/instructor-availability
Create Instructor Availability
Request body
| Field | Required | Type | Description |
|---|---|---|---|
instructor_id | Yes | integer | |
day_of_week | Yes | integer | |
start_time | Yes | string | |
end_time | Yes | string | |
service_id | No | integer |
Responses
- 201 — Successful Response
- 422 — Validation Error
DELETE /api/v1/instructor-availability/{availability_id}
Delete Instructor Availability
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
availability_id | path | Yes | integer |
Responses
- 204 — Successful Response
- 422 — Validation Error